Subject: Re: cygwin + Apache "out of the box": dlopen: Win32 error 126
From: "Javier" <[email-masked]>
To: [email-masked]
Date: Fri, 29 Nov 2002 23:17:53 +0100

Let's do the things step by step:

"Elfyn McBratney" <[email-masked]> escribió en el mensaje
news:[email-masked]...
> Hi,
>
> What does line 237 of httpd.conf contain? Does libphp4.dll exist in
> /usr/lib/apache?

Yes, it does exist:
apache> dir lib*
-rwxr-xr-x    1 javier   Ninguno   1126912 Nov 29 23:09 libphp4.dll*
-rwxrwxrwx    1 Administ Ninguno     83968 Apr 27  2002 libproxy.dll*
-rwxr-xr-x    1 javier   Ninguno    152064 Nov 29 23:09 libssl.dll*

Line 237 is the line that loads libphp4.dll:

LoadModule php4_module        lib/apache/libphp4.dll
LoadModule ssl_module         lib/apache/libssl.dll

> Run the below and see if you have all of the dll's that are printed
out by
> cygcheck:
>
> Cygwin> cygcheck /usr/lib/apache/libphp4.dll

MM...

_Very_ strange results:

apache>  cygcheck /usr/lib/apache/libphp4.dll
/usr/lib/apache/libphp4.dll - Cannot open

Use -h to see help about each section
apache>  cygcheck /usr/lib/apache/libssl.dll
/usr/lib/apache/libssl.dll - Cannot open

Use -h to see help about each section

¿?¿?¿

But then, I get the same message with all the in /usr/lib/apache

apache>  cygcheck /usr/lib/apache/*
/usr/lib/apache/libphp4.dll - Cannot open
/usr/lib/apache/libproxy.dll - Cannot open
/usr/lib/apache/libssl.dll - Cannot open
/usr/lib/apache/mod_access.dll - Cannot open

<plenty of mod_libs snipped>

Use -h to see help about each section

Most perplexing

> If you have everything you need your next step should be to rebase the
> dll's:
>
> http://sources.redhat.com/ml/cygwin/2002-11/msg00798.html
> http://sources.redhat.com/ml/cygwin/2002-10/msg01836.html
> http://sources.redhat.com/ml/cygwin/2002-10/msg01018.html
>
> There's probably threads ive missed so use the search facility on
> http://cygwin.com/ml/cygwin/ to look for pointers on this issue.
>
> Youll need rebase:
>
> Cygwin> cd /tmp
> Cygwin> wget http://www.tishler.net/jason/software/rebase/rebase.exe
> Cygwin> rebase -d -b 0x68000000 -o 0x10000 /lib/apache/*.dll
>
> Please read the above threads and whatever you get from the search
because
> im not sure if i have the base correct.

Yes, I knew about the rebase issue, and I had to deal with is some time
ago, but then the error messages _did_ mention improper addresses on the
modules. This error is new, and I don't have much idea what to try next
:(

Thanks for the help, though :)

    Javier

> >Hi, all!!
> >
> >I've just re-installed cygwin after a clean install of W2K.
> >I'm trying to get a working system as close as possible to the one I
had
> >before, so I installed Cygwin, and the apache and mod_php... and when
> >I've tried to get apache to run, I get:
> >
> >Cygwin> /usr/sbin/apachectl start
> >Syntax error on line 237 of /etc/apache/httpd.conf:
> >Cannot load /usr/lib/apache/libphp4.dll into server: dlopen: Win32
error
> >126
> >/usr/sbin/apachectl start: httpd could not be started
> >
> >error 126 means something like "file not found"... but I have _no_
clue
> >as to what .dll or file it's missing!!
> >
>
> Yes the error 126 means the module could not be loaded:
>
> [root@webdev]:{366}:% net helpmsg 126
>
> The specified module could not be found.
>
> >The _strangest_ thing is that running "Dependency walker" on my
> >(**working**) old system against libphp4.dll and libssl.php (both
will
> >throw the same mistake when trying to run apache), and I get a bunch
of
> >unresolved dependencies!!:
> >
> >in libphp4.dll:
> >CYGBZ21.0.DLL
> >CYGCRYPTO.DLL
> >CYGHTTPD.DLL
> >CYGINTL-1.DLL
> >CYGWIN1.DLL
> >CYGXML2-2.DLL
> >CYGZ.DLL
> >PQ.DLL
> >
> >There are a couple more deps,
> >KERNEL32.DLL
> >LIBPHP4.DLL
> >NTDLL.DLL
> >
> >which _are_ resolved.
> >
> >in libssl.dll:
> >CYGCRYPTO.DLL
> >CYGGDBM.DLL
> >CYGHTTPD.DLL
> >CYGSSL.DLL
> >CYGWIN1.DLL
> >
> >Again, these deps are OK:
> >KERNEL32.DLL
> >LIBSSL.DLL
> >NTDLL.DLL
> >
> >So, I have to admit I'm feeling more than a little lost... _any_ help
> >would be greatly appreciated.
> >
> >Thanks!!
> >
> >     Javier
> >
> >
> >
> >
> >
> >
> >
> >
> >--
> >Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> >Bug reporting:         http://cygwin.com/bugs.html
> >Documentation:         http://cygwin.com/docs.html
> >FAQ:                   http://cygwin.com/faq/
>
>
> _________________________________________________________________
> MSN 8 with e-mail virus protection service: 2 months FREE*
> http://join.msn.com/?page=features/virus
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/